import { TouchBaseSchema } from '@isa/common/data-access';
import { z } from 'zod';

export const CampaignSchema = z
  .object({
    code: z.string().describe('Code value').optional(),
    label: z.string().describe('Label').optional(),
    type: z.string().describe('Type').optional(),
    value: z.number().describe('Value').optional(),
  })
  .extend(TouchBaseSchema.shape);
